<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html#index_1"><span>1</span></a></li>
      <li><a href="globals_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="globals_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
      <li class="current"><a href="globals_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="globals_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="globals_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="globals_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="globals_0x78.html#index_x"><span>x</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

<h3><a class="anchor" id="index_d">- d -</a></h3><ul>
<li>device_open()
: <a class="el" href="m17n-X_8c.html#aeb87b8c1b85910cb2d0e34afa4eeef0c">m17n-X.c</a>
</li>
<li>MDatabase
: <a class="el" href="group__m17nDatabase.html#ga185385212a1dcd2bbb8ec94ba31caf0e">m17n-core.h</a>
</li>
<li>mdatabase_define()
: <a class="el" href="group__m17nDatabase.html#ga265cfa2587dfda9bdc84f7afd1aabb1d">m17n-core.h</a>
, <a class="el" href="group__m17nDatabase.html#ga265cfa2587dfda9bdc84f7afd1aabb1d">database.c</a>
</li>
<li>mdatabase_dir
: <a class="el" href="group__m17nDatabase.html#ga29022d6905ce43de1ac69cd1f88b36f7">m17n-core.h</a>
, <a class="el" href="group__m17nDatabase.html#ga29022d6905ce43de1ac69cd1f88b36f7">database.c</a>
</li>
<li>mdatabase_find()
: <a class="el" href="group__m17nDatabase.html#gaf0b925b48cf03873cf8cdb7b81a3c37d">m17n-core.h</a>
, <a class="el" href="group__m17nDatabase.html#gaf0b925b48cf03873cf8cdb7b81a3c37d">database.c</a>
</li>
<li>mdatabase_list()
: <a class="el" href="group__m17nDatabase.html#gaf3db907393a30e6c1ea062691cb8a2b0">m17n-core.h</a>
, <a class="el" href="group__m17nDatabase.html#gaf3db907393a30e6c1ea062691cb8a2b0">database.c</a>
</li>
<li>mdatabase_load()
: <a class="el" href="group__m17nDatabase.html#ga62e5cf92d1b2836a9f6a988bcc20c26e">m17n-core.h</a>
, <a class="el" href="group__m17nDatabase.html#ga62e5cf92d1b2836a9f6a988bcc20c26e">database.c</a>
</li>
<li>mdatabase_tag()
: <a class="el" href="group__m17nDatabase.html#ga5362edb0cb91ff9c90d569d7aca58b39">m17n-core.h</a>
, <a class="el" href="group__m17nDatabase.html#ga5362edb0cb91ff9c90d569d7aca58b39">database.c</a>
</li>
<li>mdebug_dump_all_symbols()
: <a class="el" href="group__m17nDebug.html#ga04577301857b34f7e50e235bc06fd213">m17n-misc.h</a>
, <a class="el" href="group__m17nDebug.html#ga04577301857b34f7e50e235bc06fd213">symbol.c</a>
</li>
<li>mdebug_dump_chartab()
: <a class="el" href="group__m17nDebug.html#gaf1a509be097e9dc29a79652e57a1b96e">m17n-misc.h</a>
, <a class="el" href="group__m17nDebug.html#gaf1a509be097e9dc29a79652e57a1b96e">chartab.c</a>
</li>
<li>mdebug_dump_face()
: <a class="el" href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615">m17n-gui.h</a>
, <a class="el" href="group__m17nDebug.html#ga300fc806866e630fda617ff8cc135615">face.c</a>
</li>
<li>mdebug_dump_flt()
: <a class="el" href="group__m17nFLT.html#gaad4554d5e2eea550061234debdf6f0c8">m17n-flt.c</a>
</li>
<li>mdebug_dump_font()
: <a class="el" href="group__m17nDebug.html#gad9670bbd4f4db66cb231213d215010b2">m17n-gui.h</a>
, <a class="el" href="group__m17nDebug.html#gad9670bbd4f4db66cb231213d215010b2">font.c</a>
</li>
<li>mdebug_dump_fontset()
: <a class="el" href="group__m17nDebug.html#ga03ad3b1fffd4f64b5f1c5646f5a85648">m17n-gui.h</a>
, <a class="el" href="group__m17nDebug.html#ga03ad3b1fffd4f64b5f1c5646f5a85648">fontset.c</a>
</li>
<li>mdebug_dump_im()
: <a class="el" href="group__m17nDebug.html#ga8844c814bf108e3c614ffb41ba810f3c">m17n.h</a>
, <a class="el" href="group__m17nDebug.html#ga8844c814bf108e3c614ffb41ba810f3c">input.c</a>
</li>
<li>mdebug_dump_mtext()
: <a class="el" href="group__m17nDebug.html#ga52ba04c9aee68a3b57700c6c9f003589">m17n-misc.h</a>
, <a class="el" href="group__m17nDebug.html#ga52ba04c9aee68a3b57700c6c9f003589">mtext.c</a>
</li>
<li>mdebug_dump_plist()
: <a class="el" href="group__m17nDebug.html#ga130be9986f29171365089b39a3368c28">m17n-misc.h</a>
, <a class="el" href="group__m17nDebug.html#ga130be9986f29171365089b39a3368c28">plist.c</a>
</li>
<li>mdebug_dump_symbol()
: <a class="el" href="group__m17nDebug.html#ga9c889e8d4c7730e4f5ff78c9a57fc11f">symbol.c</a>
, <a class="el" href="group__m17nDebug.html#ga9c889e8d4c7730e4f5ff78c9a57fc11f">m17n-misc.h</a>
</li>
<li>mdebug_hook()
: <a class="el" href="group__m17nDebug.html#ga8b0933991939cadcaed4399a60c9b9db">m17n-misc.h</a>
, <a class="el" href="group__m17nDebug.html#ga8b0933991939cadcaed4399a60c9b9db">m17n-core.c</a>
</li>
<li>Mdefine_coding
: <a class="el" href="group__m17nCharset.html#gad98a8b772b9e851ae2920c5d7ed7c706">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gad98a8b772b9e851ae2920c5d7ed7c706">charset.c</a>
</li>
<li>Mdepth
: <a class="el" href="group__m17nFrame.html#ga0a1c7aa87d02cd187ec0735588db225d">m17n-gui.h</a>
, <a class="el" href="group__m17nFrame.html#ga0a1c7aa87d02cd187ec0735588db225d">m17n-gui.c</a>
</li>
<li>Mdesignation
: <a class="el" href="group__m17nConv.html#ga49cf2857b6b7323196c59cb010522eb9">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga49cf2857b6b7323196c59cb010522eb9">coding.c</a>
</li>
<li>Mdesignation_ctext
: <a class="el" href="group__m17nConv.html#ga0f0d7a67b78d52ab0e60c7993b1ec44d">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga0f0d7a67b78d52ab0e60c7993b1ec44d">coding.c</a>
</li>
<li>Mdesignation_ctext_ext
: <a class="el" href="group__m17nConv.html#ga3af496a7e2dde22445795fd49434400f">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga3af496a7e2dde22445795fd49434400f">coding.c</a>
</li>
<li>Mdesignation_g0
: <a class="el" href="group__m17nConv.html#ga4aa117d960d423fe5d58a894abce2c39">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga4aa117d960d423fe5d58a894abce2c39">coding.c</a>
</li>
<li>Mdesignation_g1
: <a class="el" href="group__m17nConv.html#ga6f9669d07dd8788fd7f878dd2e430d04">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga6f9669d07dd8788fd7f878dd2e430d04">coding.c</a>
</li>
<li>Mdevice
: <a class="el" href="group__m17nFrame.html#gacdb0835708df168948db8b3bdfbe910e">m17n-gui.h</a>
, <a class="el" href="group__m17nFrame.html#gacdb0835708df168948db8b3bdfbe910e">m17n-gui.c</a>
</li>
<li>Mdimension
: <a class="el" href="group__m17nCharset.html#ga26a7745dfcd4b7e75ba08b006a94205b">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#ga26a7745dfcd4b7e75ba08b006a94205b">charset.c</a>
</li>
<li>Mdisplay
: <a class="el" href="group__m17nFrame.html#ga60e864afe6243a16342ea7bfa2c8a5d6">m17n-gui.c</a>
, <a class="el" href="group__m17nFrame.html#ga60e864afe6243a16342ea7bfa2c8a5d6">m17n-gui.h</a>
</li>
<li>mdraw_clear_cache()
: <a class="el" href="group__m17nDraw.html#ga74e7bee7646b408dbf11b4866afb1098">m17n-gui.h</a>
, <a class="el" href="group__m17nDraw.html#ga74e7bee7646b408dbf11b4866afb1098">draw.c</a>
</li>
<li>mdraw_coordinates_position()
: <a class="el" href="group__m17nDraw.html#ga30321da41dd8785e54627e845a26cf00">m17n-gui.h</a>
, <a class="el" href="group__m17nDraw.html#ga30321da41dd8785e54627e845a26cf00">draw.c</a>
</li>
<li>mdraw_default_line_break()
: <a class="el" href="group__m17nDraw.html#ga457d91ccebabb26e1d7ab27f616cecb5">draw.c</a>
, <a class="el" href="group__m17nDraw.html#ga457d91ccebabb26e1d7ab27f616cecb5">m17n-gui.h</a>
</li>
<li>mdraw_glyph_info()
: <a class="el" href="group__m17nDraw.html#ga0b79b3b695577bee9c0d41d4947e7a16">draw.c</a>
, <a class="el" href="group__m17nDraw.html#ga0b79b3b695577bee9c0d41d4947e7a16">m17n-gui.h</a>
</li>
<li>mdraw_glyph_list()
: <a class="el" href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc">m17n-gui.h</a>
, <a class="el" href="group__m17nDraw.html#ga5ad6646874580721d879c82a8a5dbafc">draw.c</a>
</li>
<li>mdraw_image_text()
: <a class="el" href="group__m17nDraw.html#gab2de737f283237157b9035961f5a4fa6">draw.c</a>
, <a class="el" href="group__m17nDraw.html#gab2de737f283237157b9035961f5a4fa6">m17n-gui.h</a>
</li>
<li>mdraw_line_break_option
: <a class="el" href="group__m17nDraw.html#gaae4c0c421e284fc8084998d20e4a40c5">m17n-gui.h</a>
, <a class="el" href="group__m17nDraw.html#gaae4c0c421e284fc8084998d20e4a40c5">draw.c</a>
</li>
<li>mdraw_per_char_extents()
: <a class="el" href="group__m17nDraw.html#gae05aed269fc5fe20557a297f439a88ea">m17n-gui.h</a>
, <a class="el" href="group__m17nDraw.html#gae05aed269fc5fe20557a297f439a88ea">draw.c</a>
</li>
<li>mdraw_text()
: <a class="el" href="group__m17nDraw.html#ga02f9efd2c5d1bdd9d7a6ab18475bbd08">draw.c</a>
, <a class="el" href="group__m17nDraw.html#ga02f9efd2c5d1bdd9d7a6ab18475bbd08">m17n-gui.h</a>
</li>
<li>mdraw_text_extents()
: <a class="el" href="group__m17nDraw.html#ga4f5a3138a20bef57e8660975200a4604">draw.c</a>
, <a class="el" href="group__m17nDraw.html#ga4f5a3138a20bef57e8660975200a4604">m17n-gui.h</a>
</li>
<li>mdraw_text_items()
: <a class="el" href="group__m17nDraw.html#ga41ee093d2d8b2d6a8c499ac8802871d6">draw.c</a>
, <a class="el" href="group__m17nDraw.html#ga41ee093d2d8b2d6a8c499ac8802871d6">m17n-gui.h</a>
</li>
<li>mdraw_text_per_char_extents()
: <a class="el" href="group__m17nDraw.html#gae31ef0340c582c208f07f702f816977f">draw.c</a>
, <a class="el" href="group__m17nDraw.html#gae31ef0340c582c208f07f702f816977f">m17n-gui.h</a>
</li>
<li>mdraw_text_with_control()
: <a class="el" href="group__m17nDraw.html#ga43ad1fe4a4a8db80a46450dfa250777a">draw.c</a>
, <a class="el" href="group__m17nDraw.html#ga43ad1fe4a4a8db80a46450dfa250777a">m17n-gui.h</a>
</li>
<li>Mdrawable
: <a class="el" href="group__m17nFrame.html#gac54b9f0433a28bd10e8de898289069c2">m17n-gui.h</a>
, <a class="el" href="group__m17nFrame.html#gac54b9f0433a28bd10e8de898289069c2">m17n-gui.c</a>
</li>
<li>MDrawRegion
: <a class="el" href="group__m17nDraw.html#ga9818c0695d9162a9637fa4e98a1d477d">m17n-gui.h</a>
</li>
<li>MDrawWindow
: <a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">m17n-gui.h</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
